using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 作业任务识别分析评分-环境污染
    /// </summary>
    [Description("作业任务识别分析评分-环境污染")]
    public class T_HM_OPERATION_TASK_DISTINGUISH_ANALYZE_E : MesEntityBase
    {
        /// <summary>
        /// 编码
        /// </summary>
        [Description("编码")]
        [DataFieldLength(50)]
        public string CODE { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        [Description("名称")]
        [DataFieldLength(50)]
        [FormFieldTable]    
        [FormFieldQuery]
        [FormFieldEdit]
        public string NAME { get; set; }

        /// <summary>
        /// 分值
        /// </summary>
        [Description("分值")]
        [FormFieldTable]    
        [FormFieldEdit]
        public decimal SCORE { get; set; }

    }
}